/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, markType } from "./type";
import { LiveGridCoreDescriptionModule } from "./LiveGridCoreDescriptionModule";
import { NumericColumnDescriptionMetadata } from "./NumericColumnDescriptionMetadata";
import { TextColumnDescriptionMetadata } from "./TextColumnDescriptionMetadata";
import { ImageColumnDescriptionMetadata } from "./ImageColumnDescriptionMetadata";
import { DateTimeColumnDescriptionMetadata } from "./DateTimeColumnDescriptionMetadata";
import { TemplateColumnDescriptionMetadata } from "./TemplateColumnDescriptionMetadata";
import { SectionHeaderDescriptionMetadata } from "./SectionHeaderDescriptionMetadata";
import { TextHeaderDescriptionMetadata } from "./TextHeaderDescriptionMetadata";
import { TemplateHeaderDescriptionMetadata } from "./TemplateHeaderDescriptionMetadata";
import { RowSeparatorDescriptionMetadata } from "./RowSeparatorDescriptionMetadata";
/**
 * @hidden
 */
var LiveGridDescriptionModule = /** @class */ (function (_super) {
    __extends(LiveGridDescriptionModule, _super);
    function LiveGridDescriptionModule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LiveGridDescriptionModule.register = function (a) {
        LiveGridCoreDescriptionModule.register(a);
        NumericColumnDescriptionMetadata.d(a);
        TextColumnDescriptionMetadata.d(a);
        ImageColumnDescriptionMetadata.d(a);
        DateTimeColumnDescriptionMetadata.d(a);
        TemplateColumnDescriptionMetadata.d(a);
        SectionHeaderDescriptionMetadata.d(a);
        TextHeaderDescriptionMetadata.d(a);
        TemplateHeaderDescriptionMetadata.d(a);
        RowSeparatorDescriptionMetadata.d(a);
    };
    LiveGridDescriptionModule.$t = markType(LiveGridDescriptionModule, 'LiveGridDescriptionModule');
    return LiveGridDescriptionModule;
}(Base));
export { LiveGridDescriptionModule };
